#
# spec file for package google-croscore-fonts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define arname  croscorefonts

Name:           google-croscore-fonts
Version:        1.23.0
Release:        11.18
Summary:        Croscore fonts 
License:        OFL-1.1
Group:          System/X11/Fonts
Url:            http://gsdview.appspot.com/chromeos-localmirror/distfiles/
Source0:        %{arname}-%{version}.tar.gz
Source1:        LICENSE
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
Provides:       locale(bg;el;ru;bg)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       google-arimo-fonts
Requires:       google-cousine-fonts
Requires:       google-symbolneu-fonts
Requires:       google-tinos-fonts

%description
Free fonts which are metric compatible to "Arial", "Times New Roman"
and "Courier New". Croscore fonts are based on Liberation fonts and 
extends it's glyph coverage.

%package -n google-arimo-fonts
Summary:        Monospace Sans Serif Font
Group:          System/X11/Fonts

%description -n google-arimo-fonts
Arimo was designed by Steve Matteson as an innovative, refreshing sans 
serif design that is metrically compatible with Arial™. Arimo offers 
improved on-screen readability characteristics and the pan-European 
WGL character set and solves the needs of developers looking for 
width-compatible fonts to address document portability across platforms.

%package -n google-cousine-fonts
Summary:        Monospace Sans Serif Font
Group:          System/X11/Fonts

%description -n google-cousine-fonts
Cousine was designed by Steve Matteson as an innovative, 
refreshing sans serif design that is metrically compatible 
with Courier New™. Cousine offers improved on-screen 
readability characteristics and the pan-European WGL 
character set and solves the needs of developers looking 
for width-compatible fonts to address document portability 
across platforms.

%package -n google-tinos-fonts
Summary:        Monospace Sans Serif Font
Group:          System/X11/Fonts

%description -n google-tinos-fonts
Tinos was designed by Steve Matteson as an innovative, refreshing 
serif design that is metrically compatible with Times New Roman™. 
Tinos offers improved on-screen readability characteristics and 
the pan-European WGL character set and solves the needs of developers 
looking for width-compatible fonts to address document portability 
across platforms.

%package -n google-symbolneu-fonts
Summary:        Monospace Sans Serif Font
Group:          System/X11/Fonts

%description -n google-symbolneu-fonts
Symbol Neu is a metrically compatible font to Symbol.

%prep
%setup -q -n %{arname}-%{version}

%build
cp %{SOURCE1} .

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}/

%reconfigure_fonts_scriptlets -n google-arimo-fonts

%reconfigure_fonts_scriptlets -n google-cousine-fonts

%reconfigure_fonts_scriptlets -n google-tinos-fonts

%reconfigure_fonts_scriptlets -n google-symbolneu-fonts

%files
%defattr(-,root,root)
%doc LICENSE
%dir %{_ttfontsdir}

%files -n google-arimo-fonts
%defattr(-,root,root)
%{_ttfontsdir}/Arimo*.ttf

%files -n google-cousine-fonts
%defattr(-,root,root)
%{_ttfontsdir}/Cousine*.ttf

%files -n google-tinos-fonts
%defattr(-,root,root)
%{_ttfontsdir}/Tinos*.ttf

%files -n google-symbolneu-fonts
%defattr(-,root,root)
%{_ttfontsdir}/SymbolNeu*.ttf

%changelog
* Fri Nov  9 2012 pgajdos@suse.com
- updated to version 1.23.0
* Tue Oct 16 2012 pgajdos@suse.com
- splitted into subpackages
* Fri Jul 27 2012 pgajdos@suse.com
- package created, version 1.21.0
